import request from "../plugins/request";

/** 登录或注册 */
export const api_login = (params: any) => {
  return request({
    url: `/edu-app/userlogin`,
    noToken: true,
    method: "POST",
    requestType: 'form',
    data: params,
  } as any);
};

/** 获取用户信息 */
export const api_queryUserInfo = (params: any) => {
  return request({
    url: `/edu-app/user/getUserInfo`,
    method: "get",
    data: params,
  } as any);
};


/** 获取商品信息 */
export const api_shopProduct = (params: any) => {
  return request({
    url: `/edu-app/open/shop/product`,
    method: "get",
    data: params,
  } as any);
};

/** 用户下单 */
export const api_executeOrder = (params: any) => {
  return request({
    url: `/edu-app/userPaymentOrder/executeOrder`,
    method: "post",
    data: params,
  } as any);
};

/** 用户下单 */
export const api_executePayment = (params: any) => {
  return request({
    url: `/edu-app/open/userOrder/executePayment`,
    method: "post",
    data: params,
  } as any);
};

/** 获取配置参数 */
export const api_queryByParamName = (params: any) => {
  return request({
    url: `/edu-app/sysParamConfig/queryByParamName`,
    method: "get",
    data: params,
  } as any);
};


/** 订单列表 */
export const api_studentOrderPage = (params: any) => {
  return request({
    url: `/edu-app/userPaymentOrder/studentOrderPage`,
    method: "post",
    data: params,
  } as any);
};