import { api_studentOrderPage } from "../../api/login";

// pages/orders/orders.ts
Page({

  /**
   * 页面的初始数据
   */
  data: {
    tabList: [
      {
        id: 0,
        label: "全部",
      },
      {
        id: 1,
        label: "待付款",
      },
      {
        id: 2,
        label: "待使用",
      },
      {
        id: 3,
        label: "已完成",
      },
      {
        id: 4,
        label: "已取消",
      }
    ],
    tabIdx: 0, // 当前选中的tab索引
    page: 1,
    rows: 20,
    recordList: [],
    maxPage: 1, // 总分页数
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad() {
    this.getList()
  },
  /** 切换分类 */
  switchTab(e: { currentTarget: { dataset: { idx: any } } }) {
    const idx = e.currentTarget.dataset.idx;
    if (idx != this.data.tabIdx) {
      this.setData(
        {
          tabIdx: idx,
          page: 1,
          maxPage: 1,
          recordList: [],
        },
        () => {
          this.getList();
        }
      );
    }
    
  },
  async getList() {
    wx.showLoading({
      mask: true,
      title: "加载中...",
    });
    const currentPage = this.data.page,
      currentRow = this.data.rows,
      tabIdx = this.data.tabIdx;
    try {
      // @ApiModelProperty("订单状态 WAIT_PAY:待付款，WAIT_USE:待使用，SUCCESS:已完成，CLOSE:已取消")
      const { data } = await api_studentOrderPage({
        page: currentPage,
        rows: this.data.rows,
        wechatOrderStatus: tabIdx == 0 ? "" : tabIdx == 1 ? "WAIT_PAY" : tabIdx == 2 ? "WAIT_USE" : tabIdx == 3 ? "SUCCESS" : tabIdx == 4 ? "CLOSE" : "",
      })
      if (data.code == 200) {
        const { rows, total } = data.data;
        console.log(rows, 'rows')
        rows.forEach((item: any) => {
          // item.purchaseStatusDesc = item.purchaseStatus == "WAIT_PAY" ? "待支付" : item.purchaseStatus == "PAID" ? "已付款" : item.purchaseStatus == "CLOSE" ? "已关闭" : "";
          // // purchaseType;
          // item.purchaseTypeStr = this.formatUnitTimer(item.purchaseType);
          // item.showPrice = item.purchasePrice;
          // if (item.purchasePrice !== null) {
          //   item.showPrice = Number(item.purchasePrice).toFixed(2);
          // }
        });
        console.log(rows);
        const newList = this.data.recordList.concat(rows);
        this.setData(
          {
            recordList: newList,
            maxPage: Math.ceil(total / currentRow),
          },
          () => wx.hideLoading()
        );
      } else {
        wx.hideLoading();
      }
    } catch {
      wx.hideLoading()
    }
  },
  /** 加载更多 */
  loadMore() {
    wx.showLoading({
      mask: true,
      title: "加载中...",
    });
    
    setTimeout(() => {
      wx.hideLoading()
    }, 3000);
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})